Module java.base
Package java.time

## Class DateTimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `DateTimeParseException`, `UnsupportedTemporalTypeException`, `ZoneRulesException`

      public class DateTimeException
      extends RuntimeException

  Exception used to indicate a problem while calculating a date-time.

  This exception is used to indicate problems with creating, querying and manipulating date-time objects.

  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeException​(String message)` | Constructs a new date-time exception with the specified message.
    `DateTimeException​(String message, Throwable cause)` | Constructs a new date-time exception with the specified message and cause.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeException

          public DateTimeException​(String message)

      Constructs a new date-time exception with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null

    - #### DateTimeException

          public DateTimeException​(String message,
                                   Throwable cause)

      Constructs a new date-time exception with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `cause` - the cause of the exception, may be null